package com.ejie.t17i.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.t17i.dao.MunicipioDao;
import com.ejie.t17i.model.Municipio;
import com.ejie.x38.dto.JQGridRequestDto;

/**
 * <p>
 * Implementaci&oacute;n de servicios de l&oacute:gica de negocio para acceder a la tabla MUNICIPIO de NORA
 * </p> 
XXXX
 * @see com.ejie.t17i.model.Municipio
 */

@Service(value = "municipioService")
public class MunicipioServiceImpl implements MunicipioService {

	@Autowired
	private MunicipioDao municipioDao;
	
	/**
	 * {@inheritDoc}
	 */
	public Municipio find(final Municipio municipio) {
		return (Municipio) this.municipioDao.find(municipio);
	}

	/**
	 * {@inheritDoc}
	 */
	public List<Municipio> findAll(final Municipio municipio,final JQGridRequestDto jqGridRequestDto) {
		return (List<Municipio>) this.municipioDao.findAll(municipio,
				jqGridRequestDto);
	}

	/**
	 * {@inheritDoc}
	 */
	public Long findAllCount(final Municipio municipio) {
		return this.municipioDao.findAllCount(municipio);
	}

	/**
	 * {@inheritDoc}
	 */
	public List<Municipio> findAllLike(final Municipio municipio,final JQGridRequestDto jqGridRequestDto,final Boolean startsWith) {
		return (List<Municipio>) this.municipioDao.findAllLike(municipio,jqGridRequestDto, startsWith);
	}
}
